aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-04-05 16:38:02 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-04-05 16:38:02 +0200
commit8fc69561966adbe26bc4740ed2b94d2da2d6243b (patch)
tree786370119e54f35ed33bcb24973946efe111d941
parentd11c9ff5ba67e7776ac9f51bb94da2853858e290 (diff)
Special-case bbe and html5/flutter images during kirkstone uprev
We're still working on some boards and images. To allow for more wide-spread testing, we do uprev early. Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Change-Id: I9f78297361984c7a352920586aa849a1ab3305da
-rw-r--r--jjb/common/include-agl-header.sh12
-rw-r--r--jjb/common/include-agl-set-html5-image.sh2
-rw-r--r--jjb/common/include-agl-set-iceg-lxc-image.sh2
-rw-r--r--jjb/common/include-agl-set-ivieg-flutter-image.sh2
4 files changed, 15 insertions, 3 deletions
diff --git a/jjb/common/include-agl-header.sh b/jjb/common/include-agl-header.sh
index 590bbb4a..565cb1f8 100644
--- a/jjb/common/include-agl-header.sh
+++ b/jjb/common/include-agl-header.sh
@@ -187,3 +187,15 @@ if test ! -f ~/.gitconfig ; then
git config --global user.email "jenkins-dontreply@build.automotivelinux.org"
git config --global user.name "jenkins-dontreply@build.automotivelinux.org"
fi
+
+
+
+##### needlefish integration
+if test x"master" = x"${TARGETBRANCH}" ; then
+
+ if test x"bbe" = x"${TARGETMACHINE}" ; then
+ echo "Target not yet building - exit gracefully."
+ exit 0
+ fi
+
+fi \ No newline at end of file
diff --git a/jjb/common/include-agl-set-html5-image.sh b/jjb/common/include-agl-set-html5-image.sh
index 2b48b63d..da620c0f 100644
--- a/jjb/common/include-agl-set-html5-image.sh
+++ b/jjb/common/include-agl-set-html5-image.sh
@@ -10,7 +10,7 @@ set -e
################################################################################
# only run on master, jellyfish and icefish
-( echo "master marlin jellyfish icefish koi lamprey" | grep -q $TARGETBRANCH ) || exit 0
+( echo "marlin jellyfish icefish koi lamprey" | grep -q $TARGETBRANCH ) || exit 0
export TARGETFEATURES="agl-demo agl-devel"
export TARGETQA=""
diff --git a/jjb/common/include-agl-set-iceg-lxc-image.sh b/jjb/common/include-agl-set-iceg-lxc-image.sh
index 44a6c4cc..1e50cbc7 100644
--- a/jjb/common/include-agl-set-iceg-lxc-image.sh
+++ b/jjb/common/include-agl-set-iceg-lxc-image.sh
@@ -10,7 +10,7 @@ set -e
################################################################################
# only run on master, jellyfish and icefish
-( echo "master marlin jellyfish icefish koi lamprey" | grep -q $TARGETBRANCH ) || exit 0
+( echo "marlin jellyfish icefish koi lamprey" | grep -q $TARGETBRANCH ) || exit 0
export TARGETFEATURES="agl-iceg agl-devel"
export TARGETQA=""
diff --git a/jjb/common/include-agl-set-ivieg-flutter-image.sh b/jjb/common/include-agl-set-ivieg-flutter-image.sh
index 78211500..755bdf33 100644
--- a/jjb/common/include-agl-set-ivieg-flutter-image.sh
+++ b/jjb/common/include-agl-set-ivieg-flutter-image.sh
@@ -10,7 +10,7 @@ set -e
################################################################################
# only run on master, jellyfish and icefish
-( echo "master" | grep -q $TARGETBRANCH ) || exit 0
+( echo "marlin" | grep -q $TARGETBRANCH ) || exit 0
export TARGETFEATURES="agl-flutter agl-devel"
export TARGETQA=""